Skip to main content

Notify a change to a linked care context

Notify the Consent Management (CM) system about any updates HiTypes of the already linked care context for a patient.

POST/api/hiecm/hip/v3/link/context/notify

By invoking this API, Health Information Providers (HIPs) can inform the CM system of changes or updates to the patient’s care context, ensuring that the most current and accurate health information is maintained. This process is crucial for the integrity and synchronization of patient health records across the network, supporting seamless and efficient health information exchange.

Authorizations

Authorizationbearer tokenRequired

The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Bearer prefix.

Headers

REQUEST-IDstringRequired

Unique UUID for track the end to end request transaction

TIMESTAMPstringRequired

Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds

X-CM-IDstringRequired

Suffix of the consent manager to which the request was intended

X-HIP-IDstringRequired

Identifier of the health information provider to which the request was intended

Body

notificationobjectRequired
notification.patientobjectRequired
notification.patient.idstringRequired

The abha address of the patient

notification.careContextobjectRequired

A care context - one episode or record grouping at the HIP.

notification.careContext.patientReferencestringRequired

"A patient identifier with which patient is registered in the facility/hospital"

notification.careContext.careContextReferencestringRequired

An identifier of patient's care context created in HIP. A care context is a group of patient's health data (Not the actual health data)

notification.hiTypesstring[]Required

Type of health data that created in the care context

notification.datestringRequired

This should be a UTC Date & Time in ISO format

notification.hipobjectRequired

The HIP that linked the care context. Only id is required.

notification.hip.idstringRequired

The service ID of the health information provider

Responses

400

Bad Request

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-1006 - Bad Request, invalid request Body. May be returned either bare (ABDM-1006) or with a trailing ": " separator (ABDM-1006: ); match on the code itself and tolerate the separator.

error.messagestringRequired
401

Unauthorized

Everything returns 401

codestring

900902 - Unauthorized. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

messagestring
descriptionstring
404

server cannot find the requested resource

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-1001 - No data found. May be returned either bare (ABDM-1001) or with a trailing ": " separator (ABDM-1001: ); match on the code itself and tolerate the separator.

error.messagestringRequired
500

Internal Server Error

Error codes for this module

codestring

ABDM-9999 - Unknown exception. May be returned either bare (ABDM-9999) or with a trailing ": " separator (ABDM-9999: ); match on the code itself and tolerate the separator.

messagestring

Callbacks​

  • After this call, ABDM posts This API endpoint is a call back API for /api/hiecm/hip/v3/link/context/notify used to notify the HIP. to /api/v3/links/context/on-notify. Open the callback.